Package Details: musescore3 3.6.2-3

Git Clone URL: https://aur.archlinux.org/musescore3.git (read-only, click to copy)
Package Base: musescore3
Description: Create, play and print beautiful sheet music -- Version 3; End-of-life
Upstream URL: https://musescore.org/
Licenses: GPL
Groups: pro-audio
Provides: musescore
Submitter: cmsigler
Maintainer: cmsigler
Last Packager: cmsigler
Votes: 18
Popularity: 0.198804
First Submitted: 2022-12-30 11:11 (UTC)
Last Updated: 2023-03-22 20:15 (UTC)

Pinned Comments

cmsigler commented on 2023-01-26 20:54 (UTC) (edited on 2023-04-30 10:33 (UTC) by cmsigler)

All,

Remember, please vote for this pkg if you find it useful!

I have updated this AUR pkg so it can be installed in parallel with musescore4.

Note that this has NOT been extensively tested for regressions. Right now it's a Works-For-Me.

If you run into any problems please post a comment so I receive a notice, or contact me directly. HTH :)

P.S.: Since MuseScore has moved on from ver. 3, there will almost certainly be no upstream maintenance releases for this. I'll try to look around to see if anyone forks ver. 3.6.2 in order to maintain it. Please contact me if you know of a good and active fork.

Edit: In the very long run, the only way to keep this working may be via an AppImage. I didn't realize (until I looked) that official AppImage releases are available for download from the MuseScore github site. If you wish to download ver. 3.6.2 to "archive" for future use, please go to:

https://github.com/musescore/MuseScore/releases/tag/v3.6.2

At the bottom of the page under "Assets" you can find an AppImage. (NB: I haven't tried it.)

Clemmitt

Latest Comments

1 2 Next › Last »

eckso commented on 2023-11-30 14:02 (UTC) (edited on 2023-11-30 14:02 (UTC) by eckso)

@kiasoc5

Many thanks for the note about Jojo's fork. I have packaged it here:

https://aur.archlinux.org/packages/musescore3-git

Cheers!

kiasoc5 commented on 2023-09-18 02:26 (UTC)

@ cmsigler,

Regarding a maintained 3.6.2 fork, there's one that works for me here:

https://github.com/Jojo-Schmitz/MuseScore/tree/3.x

Here's a thread on Musescore forums about this:

https://musescore.org/en/node/342126

Sawa commented on 2023-09-06 03:42 (UTC)

Thank you very much. Very handy.

cmsigler commented on 2023-05-09 23:16 (UTC)

@ Antonius,

I'm very pleased that this pkg can help you! :) And any others who, like me, need to use Musescore and find that the new revision doesn't allow us to follow an efficient workflow.

Clemmitt

Antonius commented on 2023-05-09 21:28 (UTC)

Works alongside Musescore4 now, great for whenever Musescore4 feels like breaking older files! Thank you!

cmsigler commented on 2023-04-19 23:44 (UTC)

@klarkc,

This afternoon (US Eastern time 2023-04-19) I updated my system fully. Then I saved the original musescore3 .pkg. file and rebuilt it via my AUR helper. In testing old and new .pkg. files, both work fine using qt pkg qt5-base 5.15.9+kde+r151-1, which is now installed.

Perhaps you need to rebuild and reinstall your musescore3 pkg? I am clearing the out-of-date flag. If you continue to have problems, please post a comment on this page so I am notified :) HTH!

Clemmitt

cmsigler commented on 2023-04-15 20:41 (UTC)

All,

This pkg was flagged out of date by klarkc:

Your package musescore3 [1] has been flagged out-of-date by klarkc [2]:

Cannot mix incompatible Qt library (5.15.8) with this library (5.15.9)

[1] https://aur.archlinux.org/pkgbase/musescore3/
[2] https://aur.archlinux.org/account/klarkc/

I will aim to look at this early this coming week. Hopefully it isn't a fatal problem for Musescore3 building against Qt5.

Clemmitt

cmsigler commented on 2023-03-24 16:55 (UTC)

All,

In the last couple of days I am noticing a text input hesitation/freeze problem with the "Save As..." dialog (among others). And a lot of GLib-GIO-CRITICAL warnings are thrown:

(mscore3:44602): GLib-GIO-CRITICAL **: 12:33:12.901: GFileInfo created without standard::is-hidden
(mscore3:44602): GLib-GIO-CRITICAL **: 12:33:12.901: file ../glib/gio/gfileinfo.c: line 1587 (g_file_info_get_is_hidden): should not be reached
(mscore3:44602): GLib-GIO-CRITICAL **: 12:33:12.901: GFileInfo created without standard::is-backup
(mscore3:44602): GLib-GIO-CRITICAL **: 12:33:12.901: file ../glib/gio/gfileinfo.c: line 1609 (g_file_info_get_is_backup): should not be reached

Perhaps there is an issue with the recent glib2 update?... Dunno. Please post here if you know more or have a fix. Thx :)

Clemmitt

cmsigler commented on 2023-03-22 20:18 (UTC) (edited on 2023-03-22 21:03 (UTC) by cmsigler)

@kiasoc5,

PKGBUILD updated, but on my box this doesn't eliminate the dependency breakage. It does, however, build for me in a clean chroot....

I believe it's necessary to do the remove musescore3/upgrade system/reinstall musescore3 dance to solve the dependency conflict. I think this cropped up because portmidi changed upstream back to the original source. This caused a huge difference in version numbers so an epoch number had to be specified(?).

Sorry I can't solve this with my PKGBUILD :\ Thx again :)

Clemmitt

cmsigler commented on 2023-03-22 16:53 (UTC) (edited on 2023-03-22 20:19 (UTC) by cmsigler)

@kiasoc5,

Thank you for the heads-up! I didn't pay any attention to the three .so files listed as dependencies when I cribbed this PKGBUILD from the last one provided for ver. 3. In fact, I'm not sure why they are listed rather than their pkgs:

portmidi; portaudio; libvorbis

I am surprised by "breaks dependency 'libportmidi.so=1-64' required by musescore3", because the libportmidi.so dependency doesn't specify a version. Working on a solution :) Again, thx

Clemmitt